import { ComponentRef } from '@angular/core';
import { Observable } from 'rxjs';
export declare class RouterService {
    moveBackProgress: Observable<number>;
    animationProgress: Observable<number>;
    activated: Observable<ComponentRef<any>>;
    parentTouchProgress: Observable<number>;
    private parentTouchEvent;
    private activatedSource;
    private animationProgressSource;
    private moveBackProgressSource;
    constructor();
    publish(activateView: ComponentRef<any>): void;
    publishAnimationProgress(progress: number): void;
    publishMoveBackProgress(progress: number): void;
    parentTouching(progress: number): void;
}
